<%!
  public static String toHtml(String s) {
      s = Replace(s,"&","&amp;");
      s = Replace(s,"<","&lt;");
      s = Replace(s,">","&gt;");
      s = Replace(s,"\t","    ");
      s = Replace(s,"\r\n","\n");
      s = Replace(s,"\n","<br>");
      s = Replace(s," ","&nbsp;");
      s = Replace(s,"'","&#39;");
      s = Replace(s,"\\","&#92;");
      return s;
    }
    //字符串本身有replace函数。
    public static String Replace(String source,String oldString,String newString) {
      if(source == null) return null;
      StringBuffer output = new StringBuffer();
      int lengOfsource = source.length();
      int lengOfold = oldString.length();
      int posStart = 0;
      int pos;
      while((pos = source.indexOf(oldString,posStart)) >= 0) {
        output.append(source.substring(posStart,pos));
        output.append(newString);
        posStart = pos + lengOfold;
      }
      if(posStart < lengOfsource) {
        output.append(source.substring(posStart));
      }
      return output.toString();
  }
  public static String toEnHtml(String s) {
      s = Replace(s,"&amp;","&");
      s = Replace(s,"&lt;","<");
      s = Replace(s,"&gt;",">");
      s = Replace(s,"    ","\t");
      s = Replace(s,"\n","\r\n");
      s = Replace(s,"<br>","\n");
      s = Replace(s,"&nbsp;"," ");
      s = Replace(s,"&#39;","'");
      s = Replace(s,"&#92;","\\");
      return s;
    }
%>